pycodestyle:
  image: docker:stable
  tags:
    - docker
  before_script:
    - apk add --no-cache py-pip
    - pip install pycodestyle
  script:
    # Run pycodestyle (PEP8) check.
    # https://pycodestyle.readthedocs.io/en/latest/intro.html#error-codes
    # Ignored errors:
    # - E128: continuation line under-indented for visual indent
    # - E501: line too long
    # - E731: do not assign a lambda expression, use a def
    # - W504: line break after binary operator (conflicts with old pep8 package)
    # - W505: doc line too long
    - pycodestyle --ignore=E128,E501,E731,W504,W505 .
